# Class Parameter

java.lang.Object
com.io7m.certusine.vanilla.internal.jaxb.Parameter

public class Parameter extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
          <attribute name="Value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
        </restriction>
      </complexContent>
    </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### value

    protected String value

- ## Constructor Details

  - ### Parameter

    public Parameter()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`